Subject: bug#69550: smithforth: missing source (?)

From: Christopher Howard <[email-masked]>
Date: Mon, 4 Mar 2024 10:07:41 -0900

Hi, I think the smithforth package is nice addition to Guix. However, if I run the command to get the source...

``` guix build -S smithforth
/gnu/store/4w4v7zv4vif2k55g9srmv57fg5icpl94-SForth220711dmp.txt
```

...I only get the annotated header/opcode file. However, the forth system provided in the binary includes also the words defined here:

{https://dacvs.neocities.org/SF/system220711fs.txt}

It seems to me that `guix build -S' should return both these files in some form. Maybe in a tar file...?

``` guix show smithforth
name: smithforth
version: 220711
outputs:
+ out: everything
systems: x86_64-linux
dependencies: [email-masked]
location: gnu/packages/forth.scm:67:2
homepage: https://dacvs.neocities.org/SF/
license: Expat No Attribution
synopsis: Forth programming language for x86-64 desktop computers  
description: SmithForth is an implementation of the Forth programming language
+ for x86-64 desktop computers.  SmithForth is a text interpreter that runs in a
+ Linux text console.
```

``` guix describe
Generation 57	Mar 04 2024 06:56:57	(current)
  guix 9321cf7
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 9321cf7f51eb6dc3fe49d4302eed4e47a52284e2
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ